<template>
    <div id="child-component">
      <h3>Child component</h3>
      <button @click="INCREMENT_MUTATION">+</button>
      <p>{{ count }}</p>
      <button @click="DECREMENT_MUTATION">-</button>
    </div>
  </template>
  
  <script>
  import { mapState, mapMutations } from 'vuex'
  export default {
      name: 'ChildComponent',
      computed: {
        ...mapState(['count', 'courses'])
      },
      methods: {
        ...mapMutations(['INCREMENT_MUTATION', 'DECREMENT_MUTATION'])
      }
  }
  </script>
  
  <style>
  
  </style>